| Home | Libraries | People | FAQ | More

## Function safe_dump_to

boost::stacktrace::safe_dump_to — Writes into the provided file descriptor the current function call sequence if such operation is async signal safe.

## Synopsis

    // In header: <boost/stacktrace/safe_dump_to.hpp>

    std::size_t safe_dump_to(platform_specific_descriptor fd);

## Description

Complexity: O(N) where N is call sequence length, O(1) if BOOST_STACKTRACE_USE_NOOP is defined.

Async-Handler-Safety: Safe.

Returns: | Stored call sequence depth including terminating zero frame.